package meerkat.voting.gui.ui;

/**
 * Created by Laura on 12/12/2016.
 */

import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import javafx.scene.Parent;
import javafx.fxml.FXMLLoader;

import java.io.IOException;
import java.io.File;

public class GraphicalFX extends Application {

    private static final Logger logger = LoggerFactory.getLogger(GraphicalUI.class);
    private static GraphicalUI parent;

    public static void setParent(GraphicalUI ui) {
        if (GraphicalFX.parent==null) {
            GraphicalFX.parent = ui;
        }
        logger.warn("Trying to assign again the parent of GraphicalFX.");
    }

    @Override
    public void init() throws Exception {
//        System.out.println("init() of Hello World FX");
        parent.setGraphicalFx(this);
    }

//    public static void main(String[] args) {
//        launch(args);
//    }

    @Override
    public void start(Stage primaryStage) {
        primaryStage.setTitle("Hello World!");
        Button btn = new Button();
        btn.setText("Say 'Hello World'");
        btn.setOnAction(new EventHandler<ActionEvent>() {

            @Override
            public void handle(ActionEvent event) {
                System.out.println("Hello World!");
                System.out.println(parent.testPrint());
            }
        });

        StackPane root = new StackPane();
        root.getChildren().add(btn);
        Scene scene = new Scene(root, 300, 250);

//        System.out.println("Working Directory = " +
//                System.getProperty("user.dir"));
//        Parent root = null;
//        try {
//            File dir1 = new File (".");
//            System.out.println ("Current dir : " + dir1.getCanonicalPath());
//            root = FXMLLoader.load(getClass().getClassLoader().getResource("/graphical_fxml/welcome_splash_screen.fxml"));
//        } catch (IOException e) {
//            e.printStackTrace();
//            System.out.println("Working Directory = " +
//                    System.getProperty("user.dir"));
//        }
//
//        Scene scene = new Scene(root, 300, 275);

        primaryStage.setScene(scene);
        primaryStage.show();
    }
}
